# DIGITAL TCP/IP Services for OpenVMS
Management Command Reference

Previous | Contents

The list is ordered by request preference. For example, the initial request is sent to the first host in the list . If that host is unavailable, the request is sent to the second host in the list, and so on.

You can specify a maximum of three domains.

##

### Examples

#1

    UCX> SHOW HOST /LOCAL

         LOCAL database

    Host address    Host name

    138.180.6.60    aa80z, AA80Z
    138.180.4.1     abbss.zz3.ddd.com, abbss, ABBSS, ab, a
    138.180.6.8     alibam, ALIBAM, alb
    138.180.5.5     alLpin, ALLPIN, allpine.zz3.ddd.com
    138.180.6.30    amfer, AMFER
    138.180.6.2     ankles, ANKLES
    138.180.6.73    auntie, AUNTIE, maitai
      .
      .
      .
    138.180.4.200   zlepin, ZLEPIN
    138.180.20.1    zooley, ZOOLEY, zoo
    138.180.6.37    zxtra, ZXTRA

> The /LOCAL qualifier displays only the hosts in the local database.

#2

    UCX> SHOW HOST ABCXYZ

          BIND database

    Server:    128.182.4.164    ZSERVE

    Host address     Host name

    128.180.5.164    ABCXYZ.one.nam.com

> Displays information about a host found in the BIND database. Note that the display includes the name and address of the BIND server that supplied the information.

#3

    UCX> SHOW HOST *

> Displays the entire hosts database. In the following examples, host heron has the following IP addresses and aliases:

> IP Address | Host | Aliases
> --- | --- | ---
> 100.1 | heron | HOST_1A HOST_1B HOST_ALIAS
> 100.2 | heron | HOST_2A HOST_2B HOST_ALIAS

#4

    UCX> SHOW HOST heron

> Shows all the IP addresses and aliases for the host HOST_NAME.

#5

    UCX> SHOW HOST HOST_1A

> Shows IP address 100.1 and the aliases HOST_1A, HOST_1B, and HOST_ALIAS.

#6

    UCX> SHOW HOST HOST_ALIAS

> Shows the host and all aliases for addresses 100.1 and 100.2. Shows all the IP addresses and aliases for host heron.

#7

    UCX> SHOW HOST HOST_1A

> Shows IP address 100.1 and the aliases HOST_1A, HOST_1B, and HOST_ALIAS.

# SHOW INTERFACE

> Displays information from the running system for internet interfaces and pseudo-interfaces.

> Related commands: SHOW CONFIGURATION INTERFACE, SET INTERFACE, ZERO INTERFACE.

## Format

> ### SHOW INTERFACE [interface] [/CLUSTER | /CONTINUOUS[=n] | /FULL]

## PARAMETERS

> ### interface

> Optional. Default: All interfaces.

> Name of either an internet or pseudo-internet interface. Examples include ZE0, LO0, QE2, QE3, SV0, FZ0.

## QUALIFIERS

> ### /CLUSTER

> Optional. Default: none.

> Displays information about the cluster of which the interface is a member.

> ### /CONTINUOUS[=n]

> Optional. Default: Static display; /CONTINUOUS=4.

> Display update interval, in seconds. Use only when you specify an interface name and use the /FULL qualifier.

> To terminate the display, type Ctrl/Z.

> ### /FULL

> Optional. Default: Brief description is displayed.

> Displays full information.

##

### Examples

#1

    UCX> SHOW INTERFACE DE0 /FULL

    Interface: DE0
       IP_Addr: 126.65.100.102   NETWRK: 255.255.255.0   BRDCST: 126.65.100.255
                   Ethernet_Addr:AA-00-05-CC-2D-2B       MTU: 65535
         Flags: UP BRDCST NOTRL RUN
                                      RECEIVE        SEND
       Packets                        3817269      595744
         IP packets                   2504702      595104
         Broadcast IP packets            1809           1
         Trailer 1 IP packets               0
         Trailer 2 IP packets               0
         ARP packets                      568         410
         Broadcast ARP packets        2619665         229
       Drops
         IP packets                         0           0
         ARP packets                        0           0
       Errors
         Hardware                           0          30
         Software                           0           6
       Restarting attempts                  0
       Successful restarts                  0

> Displays information about interface DE0.

> - Drops --- Number of dropped packets.
> - Hardware errors --- Errors detected by OpenVMS data link devices, for example, Ethernet drivers.
> - Software errors --- Errors (usually caused by invalid protocol headers) detected by UCX while transmitting packets to or from data link drivers.

# SHOW MAIL

> Displays SMTP queue information.

> Related commands: REMOVE MAIL, SEND MAIL.

> Applies to: SMTP.

## Format

> ### SHOW MAIL [user] [/FULL | /RECIPIENT[=options] | /ENTRY=n]

## Restrictions

> Requires SYSPRV or BYPASS privileges to display information for other users.

## PARAMETERS

> ### user

> Optional. Default: All users.

> Displays SMTP process information of the specified user.

## QUALIFIERS

> ### /FULL

> Optional. Default: Brief description is displayed.

> Displays detailed information.

> ### /RECIPIENT[=options]

> Optional. Default: ALL.

> Used with /FULL, displays selected recipient classes. Specify options as:

> ALL | Shows failed, sent, and unsent mail messages.
> FAILED | Shows messages that could not be read for a particular recipient.
> SENT | Shows successful deliveries to a particular recipient.
> UNSENT | Shows messages that, as yet, are unsent.

> ### /ENTRY=n

> Optional. Default: Your queue entries.

> Displays information about the specified queue entry number.

##

### Examples

#1

    UCX> SHOW MAIL

> Displays information about mail messages queued to your process's user name.

#2

    UCX> SHOW MAIL /ENTRY=1234

> Displays information about the mail message 1234 in the queue.

#3

    UCX> SHOW MAIL /FULL /RECIPIENT=ALL

> Displays detailed information about all mail messages sent by the user of your process's user name.

# SHOW MAP

> Displays the names of mapped (logically linked) file systems, also called NFS file systems.

> > Important

> > SHOW MAP replaces the SHOW BIND command. In a future release of DIGITAL TCP/IP Services for OpenVMS, SHOW BIND will not be supported.

> Related commands: MAP, UNMAP

> Applies to: NFS server

## Format

> ### SHOW MAP [/path/name]

## PARAMETERS

> ### /path/name

> Optional.

> Name of the file system (the first element of the UNIX file specification).

##

### Examples

#1

    UCX> SHOW MAP

                Dynamic Filesystem Map
    Pathname                                Logical File System

    /water     USER$DKC100:
    /water                                  USER$DKC100:[WATER]
    /duck/pond                              USER$DKC100:[DUCK.POND.TEAL]

    UCX>

> Displays all mapped file systems.

#2

    UCX> SHOW MAP "/bird"

                Dynamic Filesystem Map
    Pathname                                Logical File System

    /bird                                   $1$DUA7:
    UCX>

> Lists mapped file system /bird.

# SHOW MOUNT

> Displays a list of mounted directories at all mount points or at a particular mount point.

> Related commands: MOUNT, DISMOUNT

## Format

> ### SHOW MOUNT [device] [/ALL | /FULL | /HOST=host]

## PARAMETERS

> ### device

> Optional. Default: All mounted file systems.

> Local device for which to display mount information. Specify one of the following:

> - DNFSn: --- the full NFS device name and directory tree, for example: DNFS3:[USER.NOTES]
> - Volume label
> - Logical name for the device

> You can use abbreviations and wildcards.

## QUALIFIERS

> ### /ALL

> Optional.

> If you also specify device, displays information for all NFS server hosts with mounted file systems on this device.

> If you omit device, displays information for all NFS server hosts with mounted file systems on any device.

> Not valid with /HOST.

> ### /FULL

> Optional. Default: Brief description is displayed.

> Displays the full, current operating parameters related to each mount.

> ### /HOST=host

> Optional. Default: All NFS servers with file systems currently mounted.

> NFS server on which the physical files reside.

> Not valid with /ALL.

##

### Examples

#1

    UCX> SHOW MOUNT

    _DNFS1:[000000]  automount (inactivity timer  0 00:23:00.00), mounted
            SIGMA.PROCESS.COM:/usr
    _DNFS2:[000000]  mounted
            IRIS.PROCESS.COM:/usr/users

> Shows the characteristics of all mounted file systems on all local NFS devices.

#2

    UCX> SHOW MOUNT DNFS3: /ALL

    _DNFS3:[A.B]  mounted
            SIGMA.PROCESS.COM:/usr
    _DNFS3:[A.C]  mounted
            SIGMA.PROCESS.COM:/work

> Shows the characteristics of all mounted file systems on local device DNFS3:.

# SHOW MX_RECORD

> Displays SMTP routing information. If you omit destination, you see the entries in the local Mail Exchange (MX) database. If you specify destination, you see all the entries in all the databases that UCX would look at, if necessary, to resolve the address.

> To send mail, SMTP looks up addresses in one or more databases (if necessary) in the order listed below.

> 1. Local MX databse
> 2. Remote MX database
> 3. BIND server database
> 4. Local hosts database

> Related command: SET MX_RECORD

> Applies to: SMTP

## Format

> ### SHOW MX_RECORD [destination] [/GATEWAY=host | /OUTPUT=file]

## PARAMETERS

> ### destination

> Optional. Default: All entries in the local MX database.

> Final destination host name.

## QUALIFIERS

> ### /GATEWAY=host

> Optional. Default: All destinations.

> Displays the destinations that are accessed through the specified gateway.

> ### /OUTPUT=file

> Optional. Default: Screen display.

> Sends the output to the specified file.

##

### Examples

#1

    UCX> SHOW MX_RECORD SWAN

                                  BIND MX database

    Server:          18.18.218.10     GREAT.HORNED.OWL.COM

    Gate address     Preference       Gate name

    18.18.218.10     50               WATER.PIPIT.WEBBED.FEET.COM
    18.1.218.16      100              bd-gw.purple.martin.com
    188.88.206.2     200              great.horned.owl.com
    199.9.214.1      300              bird.food.seeds.worms.com

                                  BIND database

    Server:          18.18.218.10     WATER.PIPIT.WEBBED.FEET.COM

    Host address                      Host name

    18.18.100.10                      SWAN.WEBBED.FEET.COM

> Displays, in order of preference, the routing hops to reach host SWAN if an attempt fails. The local host tries to route through:

> 1. WATER.PIPIT.WEBBED.FEET.COM
> 2. bd-gw.purple.martin.com
> 3. great.horned.owl.com
> 4. bird.food.seeds.worms.com

> Both the alternate gateway and the zone affect how SMTP decides where to relay non-local mail.

> MX records tell mailers where to relay mail that is destined for a given host. In the display:

> - The Gate name field tells where to relay the mail.
> - The Gate address field gives the gateway's IP address.
> - The Preference field gives each MX record a precedence. Lower preference number means higher precedence.

#2

    UCX> SHOW MX_RECORD CROW.COM

                                 BIND MX database

    Server:          18.18.218.10     WATER.PIPIT.WEBBED.FEET.COM

    Gate address     Preference       Gate name

    159.228.12.253   1                cawcaw.crow.com
    159.228.12.254   2                scare.crow.com
    UCX>

> Displays the MX record for destination host crow.com. In the display:

> - The Gate name field tells where to relay the mail.
> - The Gate address field gives the gateway's IP address.
> - The Preference field gives each MX record a precedence. A lower preference number means higher precedence.

> In this example, the local host name is WATER, the alternate gateway is scare.crow.com, and the zone is crow.com. The first preference for delivering mail to crow.com is to try to send to cawcaw.crow.com.

> If you have not defined an alternate gateway, SMTP tries to relay the mail to scare.crow at IP address 158.228.12.253. It uses the MX records to decide on the host to which to relay mail. SMTP tries to relay the mail to each gateway host, in order of preference, until it either successfully transfers the mail or runs out of MX records to try. If there is no alternate gateway, zone is not used.

> If you have defined an alternate gateway, SMTP goes through the list of MX records, but it does not automatically try to relay the mail directly to the gateway. SMTP checks whether the gateway host name is outside or inside the SMTP zone (as defined with SET SMTP CONFIGURATION). If the gateway is inside the SMTP zone, SMTP tries to relay the mail directly to the gateway host. If the gateway is outside the zone, SMTP sends the mail to the alternate gateway.

# SHOW NAME_SERVICE

> Displays information about the BIND resolver. With no qualifiers, the command displays BIND resolver parameters.

> Related commands: SET NAME_SERVICE, SHOW CONFIGURATION NAME_SERVICE

> Applies to: BIND server, BIND resolver

## Format

> ### SHOW NAME_SERVICE [/CONTINUOUS[=n] | /QUERIES | /STATISTICS]

## QUALIFIERS

> ### /CONTINUOUS[=n]

> Optional. Default: Static display; /CONTINUOUS=4.
> - Continuously updates the screen display.
> - Use with /STATISTICS.
> - To terminate the display, type Ctrl/Z.

> ### /QUERIES

> Optional.

> Displays counters.

> ### /STATISTICS

> Optional.

> Displays counters.

##

### Examples

#1

    UCX> SHOW NAME_SERVICE

    BIND Resolver Parameters

     Local domain: UCX.OWL.ROC.COM

     System

      State:     Started, Enabled

      Transport: UDP
      Domain:    ucx.owl.roc.com
      Retry:     4
      Timeout:   4
      Servers:   LOCALHOST, ucx.owl.roc.com

     Process

      State:     Started, Enabled

      Transport: UDP
      Domain:    11.180.34.3
      Retry:     4
      Timeout:   4
      Servers:   LOCALHOST, lark, crow.moa.awk.com
    UCX>

> Shows systemwide and process-specific parameter settings for the BIND resolver.

#2

    UCX> SHOW NAME_SERVICE /STATISTICS

                                  BIND Name Server Statistics

    Boot time:   2-NOV-1997 21:45:40.00     Reset time:   7-NOV-1997 21:45:40.00

    In packets:                          2287
    Out packets:                         2307

    Queries:                             4121
    Iqueries:                               0
    Dup. queries:                          11
    Sys. queries:                          56

    Responses:                            235
    Duplicate response:                     4
    Respok:                              4090
    Respfail:                              28
    Respformerr:                            0
    Bad responses:                          0

    Prime cache:                            6
    Check NS:                               3
    Martians:                               0

> Shows the current BIND server statistics.

#3

    UCX> SHOW NAME_SERVICE /QUERIES

                                  BIND Name Server Queries

    Boot time:   2-NOV-1997 21:45:40.00     Reset time:   2-NOV-1997 21:45:40.00

    Host addr:                 1182         Mail dest:                    0
    Authoritative               195         Mail forward:                 0
    Start of authority:        2070         Mailbox domain:               0
    Null RR:                      0         Mail group:                   3
    Well known serv:              0         Mail rename:                  0
    Domain name ptr:            478         Mailbox info:                 0
    Host info:                    5         MX info:                    162
    Text info:                    2

    Transfer zone:                0         Transfer mailbox:             0
    Wildcard match:               2         Trans. mail agent:            0

> Shows information about the requests for lookups that the BIND server received.

# SHOW NETWORK

> Displays information about the networks database.

> Related command: SET NETWORK

## Format

> ### SHOW NETWORK [network] [/ADDRESS=address | /OUTPUT=file]

## Restrictions

> Requires read access to the networks database.

## PARAMETERS

> ### network

> Optional. Default: All known networks.

> Network about which to display information.

> - Displays all alias names of the specified network.
> - If you specify an alias, the network name and all its alias names are displayed.

## QUALIFIERS

> ### /ADDRESS=address

> Optional. Default: None.

> Selects networks by address.

> Not valid with the network parameter.

> ### /OUTPUT=file

> Optional. Default: Screen display.

> Output is written to the specified file.

##

### Examples

#1

    UCX> SHOW NETWORK COBNET

    Network address    Network name

    4.0.0.0            COBNET

> Displays the entry for COBNET in the networks database.

#2

    UCX> SHOW NETWORK Z*
    Network address    Network name

    138.180.4.0        zznet, ZZNET
    120.45.30.0        zzo-net, ZZO-NET, zz01-net

> From the networks database, displays the entries for all the networks with names or aliases beginning with the letter Z.

# SHOW NFS_SERVER

> Displays NFS server performance counters and current parameter settings.

> Related commands: SET NFS_SERVER, ZERO NFS_SERVER

> Applies to: NFS server

## Format

> ### SHOW NFS_SERVER [/CONTINUOUS[=n] | /HOST=host | /IDENTIFICATION | /PARAMETERS | /SERVICES | /USER_NAME=vms_user_name]

## Restrictions

> Requires SYSNAM and WORLD privileges.

## QUALIFIERS

> ### /CONTINUOUS[=n]

> Optional. Defaults: Static display; /CONTINUOUS=4.

> Dynamic display, with optional screen-update interval.

> Not valid with /PARAMETERS.

> To terminate the display, type Ctrl/Z.

> ### /HOST=host

> Optional. Default: All hosts, all users.

> Used with /USER_NAME, displays NFS server-related information about the specified OpenVMS user names accessing NFS server from the specified hosts.

> Not valid: A list of hosts.

> ### /IDENTIFICATION

> Optional. Default: Only counters displayed.

> Provides identification information, such as program number, account number, and RPC version.

> ### /PARAMETERS

> Optional. Default: Displays counters.

> Displays NFS server parameter settings (set with SET NFS_SERVER command).

> ### /SERVICES

> Optional. Default: Gives information only for NFS server.

> Displays counters for the NFS server, MOUNT, and Portmapper services.

> ### /USER_NAME=vms_user_name

> Optional. Default: All hosts, all users.

> Used with /HOST, displays NFS server-related information about the specified OpenVMS user names accessing NFS server from the specified hosts.

> Do not specify a list of names.

##

### Examples

#1

    UCX> SHOW NFS_SERVER

    Server:   NFS$SERVER                             Loaded:  1-NOV-1997 10:21:32.32
    Status:     ACTIVE                               Running:          0 03:46:56.96

    Memory allocated            522247  RPC errors
    Message processing:                   Authentication                         18
      Threads busy                   0    Others                                  0
      Threads free                  40  Mount data base:
      Max. threads busy              1    Mounted file systems                    1
      Duplicate cache xid            0    Current users                           1
      Duplicate active xid           0    Maximum mounted                         1
      Dropped                        0    Maximum users                           1
    Data exchange:                      NFS operations:
      Bytes sent                  2040    null               0  getattr           3
      Bytes rcvd                  8668    setattr            0  lookup            0
      Messages sent                 62    readlink           0  rename            0
      Messages rcvd                108    read               0  write             0
      Max. message sent             96    statfs             8  create            0
      Max. message rcvd            136    remove             0  link              0
    Open files:                           symlink            0  mkdir             0
      Maximum opened                 0    rmdir              0  readdir           0
      Closed per interval            0  Total NFS operations                     11
      Currently opened               0  Error messages                           10
    UCX>

> Displays counters from the NFS server process.

#2

    UCX> SHOW NFS_SERVER /SERVICES

    Server:   NFS$SERVER                           Loaded:  2-NOV-1997 10:57:05.67
    Status:     ACTIVE                             Running:          3 06:44:32.01

    Service:                              NFS           MOUNT        PORTMAPPER
        Status:                          ACTIVE         ACTIVE       ACTIVE
    Multithreading
        Number of threads:                   10              1            1
        Size of i/o buffer                 8192           8192          400
        Threads busy:                         0              0            0
        Free:                                 0              0            0
        Msg. overrun:                         0              0            0
        Threads idle:               00:00:00.00    00:00:00.00  00:00:00.00
    Message processing
        Verif failure:                        0              0            0
        Messages rcvd:                       22             84            0
        Messages sent:                       22             84            0
        Bytes received:                    2640           6860            0
        Bytes sent:                         772           2076            0
        Max. size sent:                      96             60            0
        Max. size rcvd:                     120            104            0

> Displays counters and other status from the NFS server, MOUNT, and Portmapper processes.

# SHOW PORTMAPPER

> Displays a list of all registered remote procedure call (RPC) programs. The Portmapper running on the specified host gets this list.

## Format

> ### SHOW PORTMAPPER [host]

## PARAMETERS

> ### host

> Optional. Default: Local host.

> Host with the Portmapper you want to query.

##

### Examples

#1

    UCX> SHOW PORTMAPPER

        Program Number     Version  Protocol  Port-number  Process   Service-name
    ---------------------  -------  --------  -----------  --------  ------------
    000186A0 (    100000)        2  TCP         111        24800126  PORTMAPPER
    000186A0 (    100000)        2  UDP         111        24800126  PORTMAPPER
    000186A3 (    100003)        2  UDP        2049        24800125  NFS
    2C30B587 ( 741389703)        1  UDP        2049        24800125
    000186A5 (    100005)        1  UDP          10        24800125  MOUNT

> Lists information about all of the currently registered applications.

# SHOW PROTOCOL

> Displays statistics for ICMP, IP, TCP, and UDP.

> To display configuration information, use the /PARAMETERS qualifier. With this qualifier, you can also get information about ARP and RAW_IP.

> Related commands: SET PROTOCOL, ZERO PROTOCOL, SHOW CONFIGURATION PROTOCOL

## Format

> ### SHOW PROTOCOL [protocol] [/CONTINUOUS[=n] | /PARAMETERS]

## PARAMETERS

> ### protocol

> Optional. Default: All protocols except ARP and RAW_IP.

> Specify one: ICMP, IP, TCP, UDP.

## QUALIFIERS

> ### /CONTINUOUS[=n]

> Optional. Default: Static display; /CONTINUOUS=4.

> Display update interval in seconds. You must specify a protocol.

> Previous | Next | Contents